package com.izouma.awesomeadmin.dao;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.izouma.awesomeadmin.model.TableField;

/**
 * table_field Dao接口
 * Fri May 04 13:38:24 CST 2018  Suo Chen Cheng
 */ 
@Repository("com.izouma.awesomeadmin.dao.TableFieldMapper")
public interface TableFieldMapper {

	int deleteByPrimaryKey(Integer id);

	int insertSelective(TableField record);

	TableField selectByPrimaryKey(Integer id);

	int updateByPrimaryKeySelective(TableField record);

	List <TableField> queryAllTableField(TableField record);

	List <TableField> queryTableFieldsByPage(Map <String, Object> parameter);

	int delete(String id);

	TableField queryTableField(TableField record);

}

